/* Iria - An easy-customizing game, in the way of "Thunder Force IV".
 * Created by Juan Jos Ramrez. Synthetyx Software.
 *
 * effects.h - Definitions and function prototypes for effects.h
 *
 */

#ifdef USE_SVGALIB
	#include <vgagl.h>
#endif
#include <malloc.h>
#include <stdlib.h>
#include "returns.h"
#include "structs.h"
#define MAX_STARS 500
#define STARS_MAXSPEED 10
#define STARS_DEEP 0.5

extern float_pos_struct *stars;

/* This function draws all the stars and make them move */
extern int draw_stars(int vpos, int height);

/* This function unloads all stars */
extern void destroy_stars();
