/* Iria - An easy-customizing game, in the way of "Thunder Force IV".
 * Created by Juan Jos Ramrez. Synthetyx Software.
 *
 * gscn.h - Some definitions for Graphical Scenery Editor (gscn.c)
 *
 */

#include <stdio.h>
#include <unistd.h>
#include "mngevents.h"
#include "returns.h"
#include "current.h"
#include "structs.h"
#include "lists.h"
#include "svgalibg.h"
#include "readpng.h"

#define SKIP_HEADER fseek(f, sizeof(scn_header), SEEK_SET);
#define SCENERY_VERSION "v0.6.0"
#define LEFT (long int) (point - WIDTH / 2)
#define RIGHT (long int) (point + WIDTH / 2)
#define THRESHOLD 10
#define SCREEN_SPEED 4
#define TRUE 1
#define FALSE 0

#define CHANGE_GLOBALS 1
#define EDIT_EVENT 2
#define INSERT_EVENT 3
#define DELETE_EVENT 4
#define LIST_EVENTS 5
#define GOTO_POINT 6
#define SELECT_EXIT 7
