/* Iria - An easy-customizing game, in the way of "Thunder Force IV".
 * Created by Juan Jos Ramrez. Synthetyx Software.
 *
 * unloadfiles.h - Definitions and function prototypes for unloadfiles.c
 *
 */

/* This function unloads scenery events, objects index and images */
extern void unload_game_elements(scenery_struct *scenery, object_struct **objects_index, image_list *images, unsigned long int number_of_objects);

/* This function unloads filename lists like files loaded and images loaded */
extern void unload_file_lists(string_list *files_loaded, imagefile_list *images_loaded);

