/* Iria - An easy-customizing game, in the way of "Thunder Force IV".
 * Created by Juan Jos Ramrez. Synthetyx Software.
 *
 * textevents.h - Some external prototypes for textevents.c
 *
 */
 
#include "mngevents.h"

/* This function shows a menu and returns the choice */
extern int select_menu();

/* This function shows an useful menu, common to many others. Returns FALSE if the user wants to exit */
extern int pre_menu(FILE *f, char *menutype);

/* This function edits an event */
extern void edit_event(FILE *f);

/* This function inserts a new event */
extern void insert_event(FILE *f);

/* This function deletes an event */
extern void delete_event(FILE **f, char *filename);
